# CivicTheme Drupal theme

Drupal 10 component-based theme.

[![CircleCI](https://dl.circleci.com/status-badge/img/gh/salsadigitalauorg/civictheme/tree/main.svg?style=shield)](https://dl.circleci.com/status-badge/redirect/gh/salsadigitalauorg/civictheme/tree/main)

----

## Introduction

CivicTheme theme, the Drupal theme built using a UI kit, provides components
and data structures to enhance editorial experiences out-of-the-box.

The [UI kit](https://github.com/salsadigitalauorg/civictheme_library)
is a CMS-agnostic HTML/CSS/JS framework based on Atomic Design principles.

The Drupal theme provides full integration with UI kit.

## Installation

```bash
composer require drupal/civictheme
```

Enable CivicTheme theme to use it as-is - CivicTheme UI kit is
already included as a set of compiled assets.

## Creating a sub-theme from the CivicTheme theme

See [Sub-theme](https://docs.civictheme.io/development/drupal-theme/sub-theme)

## Updating CivicTheme

See [Version update](https://docs.civictheme.io/development/drupal-theme/version-update)

## Managing colors

See [Color selector](https://docs.civictheme.io/development/drupal-theme/color-selector)

---

For additional information, please refer to the [Documentation site](https://docs.civictheme.io/drupal-theme)
